unit uIA_Scripts;

interface

uses
  Classes,
  fIA_Dialogs,
  SysUtils;

type
  TScript = class
  private
    FScriptName,
      FFirstCaption,
      FFirstQuestionID,
      FFirstAnswer,
      FFirstAnswerIndex,
      FFirstOperation,
      FSecondCaption,
      FSecondQuestionID,
      FSecondAnswer,
      FSecondAnswerIndex,
      FSecondOperation,
      FScriptText: string;
  protected
  public
    property ScriptName: string read FScriptName write FScriptName;
    property FirstCaption: string read FFirstCaption write FFirstCaption;
    property FirstQuestionID: string read FFirstQuestionID write FFirstQuestionID;
    property FirstAnswer: string read FFirstAnswer write FFirstAnswer;
    property FirstAnswerIndex: string read FFirstAnswerIndex write FFirstAnswerIndex;
    property FirstOperation: string read FFirstOperation write FFirstOperation;
    property SecondCaption: string read FSecondCaption write FSecondCaption;
    property SecondQuestionID: string read FSecondQuestionID write FSecondQuestionID;
    property SecondAnswer: string read FSecondAnswer write FSecondAnswer;
    property SecondAnswerIndex: string read FSecondAnswerIndex write FSecondAnswerIndex;
    property SecondOperation: string read FSecondOperation write FSecondOperation;
    property ScriptText: string read FScriptText write FScriptText;

    procedure Clear;
  end; { TScores }


implementation


procedure TScript.Clear;
// Clear a single script: Not all scripts in the list.
begin
  FScriptName := '';
  FFirstQuestionID := '';
  FFirstCaption := '';
  FFirstAnswer := '';
  FFirstAnswerIndex := '';
  FFirstOperation := '';
  FSecondQuestionID := '';
  FSecondCaption := '';
  FSecondAnswer := '';
  FSecondAnswerIndex := '';
  FSecondOperation := '';
  FScriptText := '';
end;


end.

