unit uMHA_GAF;

interface

uses
  Controls;

type
  TGAF = class
  private
    FIENS,
      FRater,
      FRaterDUZ,
      FDateString: string;
    FRating: Integer;
    FGAFDate: TDate;
    FIsSaved,
      FEnteredInError,
      FCanBeMarkedInError,
      FCanBeEdited,
      FUserCanModify,
      FCanBeModified: BOOLEAN;
  protected
  public
    property IsSaved: BOOLEAN read FIsSaved write FIsSaved;
    property Rating: Integer read FRating write FRating;
    property Rater: string read FRater write FRater;
    property RaterDUZ: string read FRaterDUZ write FRaterDUZ;
    property GAFDate: TDate read FGAFDate write FGAFDate;
    property IENS: string read FIENS write FIENS;
    property EnteredInError: BOOLEAN read FEnteredInError write FEnteredInError;
    property CanBeMarkedInError: BOOLEAN read FCanBeMarkedInError write
      FCanBeMarkedInError;
    property CanBeEdited: BOOLEAN read FCanBeEdited write FCanBeEdited;
    property DateString: string read FDateString write FDateString;
    property CanBeModified: BOOLEAN read FCanBeModified write FCanBeModified;
    property UserCanModify: BOOLEAN read FUserCanModify write FUserCanModify;
  end; { TGAF }

var
  ActiveGAF : TGAF;


implementation


end.
